/***********************************************************************************************************
 * Une classe représentant un émetteur Morse utilisant Led connectée sur une pin arduino
 * 
 *  IUT GEII TOULON - Correction du TP n° 4
 *  M.GRIMALDI - Octobre 2020
 */
 
#ifndef _MORSE_H
#define _MORSE_H
#include "Led.h"
#include <Arduino.h>

class Morse{
  private:
    Led led;            // la led de transmission
    float speedWPM;     // la vitesse en nombre de mots par minutes
    int dotLength;      // la durée du point, à la base de tout le chronogramme
    
  public:
    Morse(Led, float = 3.5);
    void setSpeed(float);
    float getSpeed();
    int getDotLength();

    void send(char);    // transmet un caractère  
    void send(String);  // transmet une chaîne de caractères
private:
  void sendDot();       // transmet un point
  void sendDash();      // transmet un trait        
};
#endif
